<?php

/* $Id: admin.php 2012-09-13 10:03 Rolland $ */

$main_section = "settings";
# нужное подключаем
$NETCAT_FOLDER = join(strstr(__FILE__, "/") ? "/" : "\\", array_slice(preg_split("/[\/\\\]+/", __FILE__), 0, -4)).( strstr(__FILE__, "/") ? "/" : "\\" );
include_once ($NETCAT_FOLDER."vars.inc.php");
require ($MODULE_FOLDER."yml_export/YmlExport.class.php");
require ($ADMIN_FOLDER."function.inc.php");
require ($ADMIN_FOLDER."/modules/function.inc.php");
# UI
require ($ADMIN_FOLDER."modules/ui.php");
$UI_CONFIG = new ui_config_module('yml_export');

# языковые настройки
if (is_file($MODULE_FOLDER.'yml_export/'.MAIN_LANG.'.lang.php')) {
    require_once($MODULE_FOLDER.'yml_export/'.MAIN_LANG.'.lang.php');
} else {
    require_once($MODULE_FOLDER.'yml_export/en.lang.php');
}

// load modules env
if (!isset($MODULE_VARS))
    $MODULE_VARS = $nc_core->modules->get_module_vars(); //LoadModuleEnv();

$my_settings = $MODULE_VARS['yml_export'];
# начальное оформление
$Title1 = NETCAT_MODULES;
$Title2 = NETCAT_MODULE_YML_EXPORT;

$YmlExport = new YmlExport($my_settings);

// какое действие выполнить
if(isset($_POST['phase']))
    $phase = (int)$_POST['phase'];
else
    $phase = 1;
//    
if (in_array($phase, array(2, 4))) {
    if (!$nc_core->token->verify()) {
        $YmlExport->errors[] = NETCAT_TOKEN_INVALID;
        $YmlExport->__construct();
    }
}

switch ($phase) {
    case 1:
        BeginHtml($Title2, $Title1, "http://".$DOC_DOMAIN."/settings/modules/yml_export/",'yml_export');
        // выводим настройки
        $perm->ExitIfNotAccess(NC_PERM_MODULE, 0, 0, 0, 0);
        $YmlExport->ShowSettings();
        break;
    case 2:
        // сохранение формы
        $perm->ExitIfNotAccess(NC_PERM_MODULE, 0, 0, 0, 1);
        try{
            $YmlExport->SaveSettings();
        }catch(Exception $e){
            $YmlExport->errors[] = $e->getMessage();
        }
        $YmlExport->_echo_response();
        break;
    case 3:
        // вывод формы настроек для определенного раздела
        $perm->ExitIfNotAccess(NC_PERM_MODULE, 0, 0, 0, 0);
        $subdivision_ID = (int)$_POST['SUBDIVISION_ID'];
        if(!$subdivision = $YmlExport->checkSubdivisionId($subdivision_ID)){
            $YmlExport->errors[] = YML_EXPORT_WRONG_SUBDIVISION;    
        }else{
            try{
                $YmlExport->response['form'] = $YmlExport->SubdivisionSettingsForm($subdivision);   
            }catch(Exception $e){
                $YmlExport->errors[] = $e->getMessage();
            }
        } 
        $YmlExport->_echo_response();
    break;
}
EndHtml();
?>
