<?='<?xml version="1.0" encoding="utf-8"?>'?> 
<!DOCTYPE yml_catalog SYSTEM "shops.dtd">
<yml_catalog date="<?=date('Y-m-d H:i')?>">
    <shop>
        <name><?=$this->my_settings['SHOP_NAME']?></name>
        <company><?=$this->my_settings['SHOP_COMPANY']?></company>
        <url>http://<?=$_SERVER['SERVER_NAME'].$SUB_FOLDER?></url>
        <platform>Netcat</platform>
        <version><?=$netcat_version?></version>
        <agency>AlterEGO</agency>
        <email>web@alterego.biz.ua</email>
        <currencies>
            <currency id="RUR" rate="1"/>
            <currency id="USD" rate="CBRF"/>
        </currencies>
        <categories>
            <? foreach($categories as $category):?>
                <category id="<?=$category->category_ID?>"><?=$category->category_name?></category>
            <? endforeach;?>
        </categories>
        <offers>
            <? foreach($offers as $offer):?>
                <offer id="<?=$offer->Message_ID?>" available="true">
                    <url>http://<?=$path_string.(!empty($offer->Keyword)?$offer->Keyword:$sub_class->EnglishName."_".$offer->Message_ID).'.html'?></url>
                    <price><?=$this->getMessageField($offer,$this->my_settings['PRICE_FIELD'])?></price>
                    <currencyId>RUR</currencyId>
                    <categoryId><?=$offer->$categoryFieldName?></categoryId>
                    <picture>http://<?=$_SERVER['SERVER_NAME'].nc_file_path($sub_class->Class_ID, $offer->Message_ID, $pictureFieldName, "")?></picture>
                    <name><?=$this->getMessageField($offer,$this->my_settings['NAME_FIELD'])?></name>
                    <vendor><?=$this->getMessageField($offer,$this->my_settings['VENDOR_FIELD'])?></vendor>
                    <description><?=$this->getMessageField($offer,$this->my_settings['DESCRIPTION_FIELD'])?></description>
                </offer>
            <? endforeach;?>
        </offers>
    </shop>
</yml_catalog>